<?php
namespace Elementor;

class barsingle extends Widget_Base {
	
	public function get_name() {
		return 'barsingle';
	}
	
	public function get_title() {
		return 'نوار فروش';
	}
	
 public function get_icon() {
		return 'eicon eicon-progress-tracker';
    }
    
    public function get_categories() {
        return [ 'farnamproduct' ];
    }

	
	protected function register_controls() {



  $this->start_controls_section(
            'farnam_product_style_2',
            [
                'label' => esc_html__( 'تنظیمات استایل و ظاهر', 'woolentor' ),
            ]
        );


		    $this->add_control(
'sepidcolor-2',
			[
				'label' => __( 'رنگ پس زمینه نوار فروش', 'plugin-domain' ),
				'type' => Controls_Manager::COLOR,
			
				'selectors' => [
					'{{WRAPPER}} #product-dfght0-single-45gfhgfhfgh .progress-area-bamdad' => 'background: {{VALUE}} !important',
				],
			]
           );
		      $this->add_control(
'sepidcolor-3',
			[
				'label' => __( 'رنگ پس زمینه درصد نوار فروش', 'plugin-domain' ),
				'type' => Controls_Manager::COLOR,
			
				'selectors' => [
					'{{WRAPPER}} .progress-bar-bamdad' => 'background: {{VALUE}} !important',
				],
			]
           );
		   


			
				
		
		  $this->add_control(
'sepidcolor-4',
			[
				'label' => __( 'رنگ درصد فروش', 'plugin-domain' ),
				'type' => Controls_Manager::COLOR,
			
				'selectors' => [
					'{{WRAPPER}} #product-dfght0-single-45gfhgfhfgh .bamdad-pbar .bamdad-darsad' => 'color: {{VALUE}} !important',
				],
			]
           );
		   
		   	      $this->add_control(
'sepidcolor-5',
			[
				'label' => __( 'رنگ عنوان درصد فروش', 'plugin-domain' ),
				'type' => Controls_Manager::COLOR,
			
				'selectors' => [
					'{{WRAPPER}} .bamdad-darsad span' => 'color: {{VALUE}} !important',
				],
			]
           );
		   
	
		
					 $this->add_responsive_control(
                        'sepidborder-2',
                        [
                            'label' => esc_html__( 'گردی نوار فروش', 'woolentor' ),
                            'type' => Controls_Manager::DIMENSIONS,
                            'selectors' => [
                                '{{WRAPPER}} #product-dfght0-single-45gfhgfhfgh .progress-area-bamdad' => 'border-radius: {{TOP}}px {{RIGHT}}px {{BOTTOM}}px {{LEFT}}px !important;',
                                '{{WRAPPER}} .progress-bar-bamdad' => 'border-radius: {{TOP}}px {{RIGHT}}px {{BOTTOM}}px {{LEFT}}px !important;',
                            ],
                        ]
                    );
					
							
		$this->end_controls_section();
		
	}
	protected function render() {
		$settings = $this->get_settings_for_display();
defined( 'ABSPATH' ) || exit;

global $product;


				?>
<div class="bars-prog" id="product-dfght0-single-45gfhgfhfgh">
										<?php farnam_stock_progress_bar(); ?>
</div>
		<?php


	}


	
	protected function _content_template() {

    }
	
	
}